From 148d64e35e9c0ef50298a859c8de309b66001677 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Mon, 22 Jun 2009 14:42:57 +0200
Subject: [PATCH] ntp: fix build failure : MOD_NANO

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 ntp-4.2.4_p6-nano.patch |   17 +++++++++++++++++
 ntp.spec                |    8 +++++++-
 2 files changed, 24 insertions(+), 1 deletions(-)
 create mode 100644 ntp-4.2.4_p6-nano.patch

diff --git a/ntp-4.2.4_p6-nano.patch b/ntp-4.2.4_p6-nano.patch
new file mode 100644
index 0000000..30d6f96
--- /dev/null
+++ b/ntp-4.2.4_p6-nano.patch
@@ -0,0 +1,17 @@
+--- ntp-4.2.4p6/include/ntp_syscall.h.orig	2009-05-19 16:44:55.048156467 -0400
++++ ntp-4.2.4p6/include/ntp_syscall.h	2009-05-19 16:46:19.293323686 -0400
+@@ -14,6 +14,14 @@
+ # include <sys/timex.h>
+ #endif
+ 
++#if defined(ADJ_NANO) && !defined(MOD_NANO)
++#define MOD_NANO ADJ_NANO
++#endif
++
++#if defined(ADJ_TAI) && !defined(MOD_TAI)
++#define MOD_TAI ADJ_TAI
++#endif
++
+ #ifndef NTP_SYSCALLS_LIBC
+ #ifdef NTP_SYSCALLS_STD
+ # define ntp_adjtime(t)		syscall(SYS_ntp_adjtime, (t))
diff --git a/ntp.spec b/ntp.spec
index 33b9486..09bd8c3 100644
--- a/ntp.spec
+++ b/ntp.spec
@@ -1,7 +1,7 @@
 Summary: The NTP daemon and utilities
 Name: ntp
 Version: 4.2.4p6
-Release: 4%{?dist}
+Release: 4%{?dist}.fa1
 # primary license (COPYRIGHT) : MIT
 # ElectricFence/ (not used) : GPLv2
 # kernel/sys/ppsclock.h (not used) : BSD with advertising
@@ -86,6 +86,7 @@ Patch26: ntp-4.2.4p5-retryres.patch
 Patch27: ntp-4.2.4p5-driftonexit.patch
 # ntpbz #1144
 Patch28: ntp-4.2.4p6-ntpqsprintf.patch
+Patch29: ntp-4.2.4_p6-nano.patch
 
 URL: http://www.ntp.org
 Requires(post): /sbin/chkconfig
@@ -153,6 +154,7 @@ NTP servers.
 %patch26 -p1 -b .retryres
 %patch27 -p1 -b .driftonexit
 %patch28 -p1 -b .ntpqsprintf
+%patch29 -p1 -b .nano
 
 # clock_gettime needs -lrt
 sed -i.gettime 's|^LIBS = @LIBS@|& -lrt|' ntp{d,q,dc,date}/Makefile.in
@@ -322,6 +324,10 @@ fi
 %{_mandir}/man8/ntpdate.8*
 
 %changelog
+* Mon Jun 22 2009 Kedar Sovani <kedars@marvell.com>
+- Fix the problem with MOD_NANO
+http://bugs.gentoo.org/show_bug.cgi?id=270483
+
 * Mon Apr 20 2009 Miroslav Lichvar <mlichvar@redhat.com> 4.2.4p6-4
 - don't restart ntpd in dhclient script with every renewal
 - fix buffer overflow in ntpq (#490617)
-- 
1.5.5.6

